Skip to main content
GET
/
projects
/
{projectIdOrName}
/
integrations
/
{integrationId}
/
installations
/
{installationId}
/
operations
List operations
curl --request GET \
  --url https://api.withampersand.com/v1/projects/{projectIdOrName}/integrations/{integrationId}/installations/{installationId}/operations \
  --header 'X-Api-Key: <api-key>'
import requests

url = "https://api.withampersand.com/v1/projects/{projectIdOrName}/integrations/{integrationId}/installations/{installationId}/operations"

headers = {"X-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};

fetch('https://api.withampersand.com/v1/projects/{projectIdOrName}/integrations/{integrationId}/installations/{installationId}/operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "projectId": "123e4567-e89b-12d3-a456-426614174000",
      "integrationId": "<string>",
      "configId": "a1b2c3d4-e5f6-4789-a012-3456789abcde",
      "actionType": "read",
      "id": "<string>",
      "installationId": "<string>",
      "status": "success",
      "result": "[contact] No new data found",
      "metadata": {
        "objects": [
          "contact"
        ],
        "progress": {
          "installationId": "66438162-5299-4669-a41d-85c5a3b1a83e",
          "objectName": "contact",
          "operationId": "3efc0f0f-4bb9-498f-996c-9893d98ca4b5",
          "recordsProcessed": 1250,
          "recordsEstimatedTotal": 5000
        }
      },
      "createTime": "2023-07-13T21:34:44.816Z"
    }
  ],
  "pagination": {
    "done": false,
    "nextPageToken": "Q9JT+2qfys28V4ODN+UayA=="
  }
}
{
"type": "about:blank",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Bad Request",
"status": 400,
"detail": "The input message is incorrect",
"instance": "123456-1234-1235-4567489798",
"issues": [
{
"type": "about:blank",
"detail": "exampleNumericProperty should be numeric",
"in": "path",
"name": "exampleNumericProperty",
"value": "abc"
},
{
"type": "about:blank",
"title": "Input isn't valid with respect to schema",
"detail": "examplePropertyWithPattern a2345678901 doesn't match pattern '^\\d{11}$'",
"in": "body",
"name": "items[0].examplePropertyWithPattern",
"value": "a2345678901"
}
]
}
{
"type": "about:blank",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Bad Request",
"status": 400,
"detail": "The input message is incorrect",
"instance": "123456-1234-1235-4567489798",
"issues": [
{
"type": "about:blank",
"detail": "exampleNumericProperty should be numeric",
"in": "path",
"name": "exampleNumericProperty",
"value": "abc"
},
{
"type": "about:blank",
"title": "Input isn't valid with respect to schema",
"detail": "examplePropertyWithPattern a2345678901 doesn't match pattern '^\\d{11}$'",
"in": "body",
"name": "items[0].examplePropertyWithPattern",
"value": "a2345678901"
}
]
}
{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

projectIdOrName
string
required

The Ampersand project ID or project name.

integrationId
string
required

The integration ID.

installationId
string
required

The Ampersand installation ID.

Query Parameters

pageSize
integer
default:200

The number of operations to return.

Required range: 1 <= x <= 1000
pageToken
string

A cursor that can be passed to paginate through multiple pages of operations.

Response

List of operations

results
Operation · object[]
required
pagination
Pagination Information · object
required